<?php

/**
 * @file
 * Contains the menu definitions for Support File Cache module.
 */


$items[] = array(
  'path' => 'admin/build/sf_cache',
  'title' => t('Support files'),
  'callback' => 'sf_cache_ui_overview',
  'description' => t('Intelligently aggregate stylesheets and JavaScript files for faster delivery.'),
  'access' => user_access('administer Support File Cache'),
);

$items[] = array(
  'path' => 'admin/build/sf_cache/overview',
  'title' => t('Overview'),
  'type' => MENU_DEFAULT_LOCAL_TASK,
  'weight' => -10,
);

{ // admin/build/sf_cache/css
  $items[] = array(
    'path' => 'admin/build/sf_cache/css',
    'title' => t('CSS'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_files_by_bundle', 'css'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/css/by-bundle',
    'title' => t('By bundle'),
    'type' => MENU_DEFAULT_LOCAL_TASK,
    'weight' => -5,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/css/by-path',
    'title' => t('By path'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_files_by_path', 'css'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/css/autodetect',
    'title' => t('Autodetect'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_autodetect', 'css'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );
}

{ // admin/build/sf_cache/js
  $items[] = array(
    'path' => 'admin/build/sf_cache/js',
    'title' => t('JavaScript'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_files_by_bundle', 'js'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/js/by-bundle',
    'title' => t('By bundle'),
    'type' => MENU_DEFAULT_LOCAL_TASK,
    'weight' => -5,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/js/by-path',
    'title' => t('By path'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_files_by_path', 'js'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/js/autodetect',
    'title' => t('Autodetect'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_autodetect', 'js'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );
}

{ // admin/build/sf_cache/bundle
  $items[] = array(
    'path' => 'admin/build/sf_cache/bundle',
    'title' => t('Bundles'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_bundle_list'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 10,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/bundle/list',
    'title' => t('List'),
    'type' => MENU_DEFAULT_LOCAL_TASK,
    'weight' => -5,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/bundle/add',
    'title' => t('Add'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_bundle_edit'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/bundle/delete',
    'title' => t('Delete empty bundles'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_bundles_delete_empty'),
    'type' => MENU_CALLBACK,
  );
}

{ // admin/build/sf_cache/config
  $items[] = array(
    'path' => 'admin/build/sf_cache/config',
    'title' => t('Configuration'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_config_settings'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 20,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/config/settings',
    'title' => t('Settings'),
    'type' => MENU_DEFAULT_LOCAL_TASK,
    'weight' => -10,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/config/paths',
    'title' => t('Paths'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_config_paths'),
    'type' => MENU_LOCAL_TASK,
    'weight' => -5,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/config/maintenance',
    'title' => t('Maintenance'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_config_maintenance'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 0,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/config/excludes',
    'title' => t('Excludes'),
    'callback' => 'sf_cache_ui_config_excludes',
    'type' => MENU_LOCAL_TASK,
    'weight' => 5,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/config/excludes/delete',
    'title' => t('Delete exclude'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_config_excludes_delete'),
    'type' => MENU_CALLBACK,
  );

  $items[] = array(
    'path' => 'admin/build/sf_cache/config/minify',
    'title' => t('Minify'),
    'callback' => 'drupal_get_form',
    'callback arguments' => array('sf_cache_ui_config_minify'),
    'type' => MENU_LOCAL_TASK,
    'weight' => 10,
  );
}
